错误提示:VUE 引入bootstrap 需要jquery

创建于1周前 / 评论数 1 / 更新于1周前 / 收藏数0 / 点赞数 1

import $ from 'jquery'
import 'bootstrap/dist/css/bootstrap.css'
import 'bootstrap/dist/js/bootstrap.js'
console.log($);

请教大神!
不引入bootstrap正常打印,jQuery 正常使用。
引入后错误提示:Error: Bootstrap's JavaScript requires jQuery,
console.log($)放到jquery后面也不能打印出来。

后盾人

如果使用 webpack 在之前将 jquery先引入,如果使用 require.js 需要把 bootstrap 依赖 jquery.js

我们的使命:传播互联网前沿技术,帮助更多的人实现梦想
Copyright © 2010-2018 houdunren.com All Rights Reserved 京ICP备12048441号-3
: 010-86467608 : 2300071698@qq.com
编码: 海豚日记